# -*- encoding: utf-8 -*-
# stub: rbnacl 5.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rbnacl"
  s.version = "5.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tony Arcieri", "Jonathan Stott"]
  s.date = "2017-06-13"
  s.description = "The Networking and Cryptography (NaCl) library provides a high-level toolkit for building cryptographic systems and protocols"
  s.email = ["bascule@gmail.com", "jonathan.stott@gmail.com"]
  s.homepage = "https://github.com/cryptosphere/rbnacl"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.6")
  s.rubygems_version = "2.4.5.5"
  s.summary = "Ruby binding to the Networking and Cryptography (NaCl) library"

  s.installed_by_version = "2.4.5.5" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<ffi>, [">= 0"])
      s.add_development_dependency(%q<bundler>, [">= 0"])
    else
      s.add_dependency(%q<ffi>, [">= 0"])
      s.add_dependency(%q<bundler>, [">= 0"])
    end
  else
    s.add_dependency(%q<ffi>, [">= 0"])
    s.add_dependency(%q<bundler>, [">= 0"])
  end
end
